name: ssbc_remote
config_items:
  - !Submenu
    name: network settings
    config_items:
      - !IPv4
        name: ip
 
      - !IPv4
        name: subnet_mask

      - !IPv4
        name: gateway
  
  - !String
    name: wifi_ssid
    description: The SSID of the Wi-Fi network.
    max_length: 64

  - !String
    name: wifi_password
    description: The password for the Wi-Fi network.
    max_length: 64

  - !Boolean
    name: dhcp_enabled

  - !IPv4
    name: hub_ip
  
  - !Number
    name: hub_port
    max: 65535
    min: 1